diff --git a/engines/pegasus/neighborhood/mars/mars.cpp b/engines/pegasus/neighborhood/mars/mars.cpp
index 435bcd4..55e0ddc 100644
--- a/engines/pegasus/neighborhood/mars/mars.cpp
+++ b/engines/pegasus/neighborhood/mars/mars.cpp
@@ -1517,6 +1989,21 @@ void Mars::turnTo(const DirectionConstant direction) {
 		if (GameState.getMarsThreadedMaze())
 			GameState.setScoringThreadedGearRoom();
 		break;
+	case MakeRoomView(kMars39, kNorth):
+	case MakeRoomView(kMars39, kSouth):
+	case MakeRoomView(kMars38, kNorth):
+	case MakeRoomView(kMars38, kSouth):
+	case MakeRoomView(kMars37, kNorth):
+	case MakeRoomView(kMars37, kSouth):
+	case MakeRoomView(kMars36, kNorth):
+	case MakeRoomView(kMars36, kSouth):
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA83", kArthurMarsLookAtGears);
+		break;
+	case MakeRoomView(kMars46, kWest):
+		if (GameState.getMarsPodAtUpperPlatform() && g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA82", kArthurMarsLookAtEmptyTracks);
+		break;
 	case MakeRoomView(kMars48, kNorth):
 		if (GameState.getMarsSeenRobotAtReactor() && !GameState.getMarsAvoidedReactorRobot())
 			die(kDeathDidntGetOutOfWay);
@@ -1525,7 +2012,19 @@ void Mars::turnTo(const DirectionConstant direction) {
 		if (!GameState.getMarsSeenRobotAtReactor()) {
 			// Preload the looping sound...
 			loadLoopSound2("Sounds/Mars/Robot Loop.aiff", 0, 0, 0);
-			startExtraSequence(kMars48RobotApproaches, kExtraCompletedFlag, kFilterNoInput);
+			if (!_vm->isDVD()) {
+				startExtraSequence(kMars48RobotApproaches, kExtraCompletedFlag, kFilterNoInput);
+			} else {
+				InputDevice.getInput(input, kFilterAllInput);
+				if (JMPPPInput::isEasterEggModifierInput(input)) {
+					if (_vm->getRandomBit())
+						startExtraSequence(kMars48RobotApproaches, kExtraCompletedFlag, kFilterNoInput);
+					else
+						startExtraSequence(kMarsRobotBobSlow, kExtraCompletedFlag, kFilterNoInput);
+				} else {
+					startExtraSequence(kMarsRobotGenoSlow, kExtraCompletedFlag, kFilterNoInput);
+				}
+			}
 		} else if (!GameState.getMarsAvoidedReactorRobot()) {
 			loopExtraSequence(kMars48RobotLoops);
 		} else if (GameState.isTakenItemID(kAirMask)) {
@@ -1541,6 +2040,8 @@ void Mars::turnTo(const DirectionConstant direction) {
 			setCurrentAlternate(kAltMarsTookMask);
 		else
 			setCurrentAlternate(kAltMarsNormal);
+		if (GameState.isTakenItemID(kCardBomb) && g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA78", kArthurMarsExitedReactorWithCardBomb);
 		break;
 	case MakeRoomView(kMars49, kSouth):
 		if (GameState.isTakenItemID(kAirMask))
@@ -1548,6 +2049,11 @@ void Mars::turnTo(const DirectionConstant direction) {
 		else
 			setCurrentActivation(kActivateMaskOnHolder);
 		break;
+	case MakeRoomView(kMars51, kWest):
+	case MakeRoomView(kMars50, kWest):
+		if (GameState.isTakenItemID(kCardBomb) && g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA78", kArthurMarsExitedReactorWithCardBomb);
+		break;
 	case MakeRoomView(kMars52, kNorth):
 	case MakeRoomView(kMars52, kSouth):
 	case MakeRoomView(kMars52, kEast):
@@ -1587,6 +2093,23 @@ void Mars::turnTo(const DirectionConstant direction) {
 	case MakeRoomView(kMarsMaze184, kWest):
 		launchMaze184Robot();
 		break;
+	case MakeRoomView(kMarsMaze199, kNorth):
+	case MakeRoomView(kMarsMaze199, kSouth):
+	case MakeRoomView(kMarsMaze199, kEast):
+	case MakeRoomView(kMarsMaze199, kWest):
+		if (_vm->isDVD())
+			loadAmbientLoops();
+		if (GameState.getCurrentDirection() == kWest && g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA77", kArthurMarsFoundBuckets);
+		break;
+	case MakeRoomView(kMarsMaze200, kWest):
+		if (g_arthurChip) {
+			if (_vm->getRandomBit())
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA10", kArthurMarsApproachedBuckets);
+			else
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA76", kArthurMarsApproachedBuckets);
+		}
+		break;
 	}
 }
 
@@ -1891,7 +2414,8 @@ void Mars::pickedUpItem(Item *item) {
 	case kAirMask:
 		setCurrentActivation(kActivateHotSpotAlways);
 		if (!GameState.getScoringGotOxygenMask()) {
-			g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Mars/XM48SB", false, kWarningInterruption);
+			if (g_AIArea->isChattyAI())
+				g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Mars/XM48SB", false, kWarningInterruption);
 			GameState.setScoringGotOxygenMask();
 		}
 		break;
@@ -1954,13 +2478,33 @@ void Mars::dropItemIntoRoom(Item *item, Hotspot *dropSpot) {
 		switch (item->getObjectID()) {
 		case kMarsCard:
 			Neighborhood::dropItemIntoRoom(item, dropSpot);
-			if (dropSpot && dropSpot->getObjectID() == kMars34NorthCardDropSpotID)
-				startExtraSequence(kMarsTurnOnPod, kExtraCompletedFlag, kFilterNoInput);
+			if (dropSpot && dropSpot->getObjectID() == kMars34NorthCardDropSpotID) {
+				if (_vm->isDVD()) {
+					if (!GameState.getWalkthroughMode()) {
+						_interruptionFilter = kFilterNoInput;
+						_podSteerMovie.initFromMovieFile("Images/Mars/M45OMK.movie");
+						_podSteerMovie.setVolume(_vm->getSoundFXLevel());
+						_podSteerMovie.setDisplayOrder(kNavMovieOrder + 1);
+						_podSteerMovie.moveElementTo(kNavAreaLeft, kNavAreaTop);
+						_podSteerMovie.startDisplaying();
+						_podSteerMovie.show();
+						_podSteerMovie.start();
+					} else {
+						startExtraSequence(kMarsTurnOnPod, kExtraCompletedFlag, kFilterNoInput);
+					}
+					startMarsTimer(kPodCautionDisplayedTime, kMovieTicksPerSecond, kMarsPodCautionDisplayed);
+				} else {
+					startExtraSequence(kMarsTurnOnPod, kExtraCompletedFlag, kFilterNoInput);
+				}
+			}
 			break;
 		case kNitrogenCanister:
 			Neighborhood::dropItemIntoRoom(item, dropSpot);
-			if (dropSpot && dropSpot->getObjectID() == kMars57DropNitrogenSpotID)
+			if (dropSpot && dropSpot->getObjectID() == kMars57DropNitrogenSpotID) {
 				startExtraSequence(kMars57FreezeLock, kExtraCompletedFlag, kFilterNoInput);
+				if (g_arthurChip)
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA19", kArthurMarsUsedLiquidNitrogen);
+			}
 			break;
 		case kCrowbar:
 			_utilityFuse.stopFuse();
@@ -2088,6 +2632,69 @@ void Mars::turnRight() {
 	}
 }
 
+void Mars::startExtraSequence(const ExtraID extraID, const NotificationFlags flags, const InputBits interruptionFilter) {
+	TimeValue segmentStart = 0, segmentStop = 0;
+	bool loopSequence = false;
+	Common::Rect pushBounds;
+	NotificationFlags extraFlags;
+
+	switch (extraID) {
+	case kMarsRobotBobSlow:
+	case kMarsRobotGenoSlow:
+		_turnPush.getBounds(pushBounds);
+		
+		switch (extraID) {
+		case kMarsRobotBobSlow:
+			_extraMovie.initFromMovieFile("Images/Mars/M48RSB.movie");
+			break;
+		case kMarsRobotGenoSlow:
+			_extraMovie.initFromMovieFile("Images/Mars/M48RSA.movie");
+			break;
+		default:
+			break;
+		}
+		segmentStart = 0;
+		segmentStop = _extraMovie.getDuration();
+		loopSequence = false;
+		
+		_lastExtra = extraID;
+		_turnPush.hide();
+		
+		if (!loopSequence && g_AIArea)
+			g_AIArea->lockAIOut();
+		
+		extraFlags = flags;
+		_interruptionFilter = interruptionFilter;
+		// Stop the nav movie before doing anything else
+		_navMovie.stop();
+		_navMovie.stopDisplaying();
+		
+		_extraMovie.setVolume(_vm->getSoundFXLevel());
+		_extraMovie.moveElementTo(pushBounds.left, pushBounds.top);
+		_extraMovie.setDisplayOrder(kNavMovieOrder + 1);
+		_extraMovie.startDisplaying();
+		_extraMovie.show();
+		_extraMovie.setFlags(0);
+		_extraMovie.setSegment(segmentStart, segmentStop);
+		_extraMovie.setTime(segmentStart);
+		if (loopSequence)
+			_extraMovie.setFlags(kLoopTimeBase);
+		else
+			extraFlags |= kNeighborhoodMovieCompletedFlag;
+		_extraMovieCallBack.cancelCallBack();
+		_extraMovieCallBack.initCallBack(&_extraMovie, kCallBackAtExtremes);
+		if (extraFlags != 0) {
+			_extraMovieCallBack.setCallBackFlag(extraFlags);
+			_extraMovieCallBack.scheduleCallBack(kTriggerAtStop, 0, 0);
+		}
+		_extraMovie.start();
+		break;
+	default:
+		Neighborhood::startExtraSequence(extraID, flags, interruptionFilter);
+		break;
+	}
+}
+
 void Mars::receiveNotification(Notification *notification, const NotificationFlags flag) {
 	InventoryItem *item;
 
@@ -2113,6 +2720,8 @@ void Mars::receiveNotification(Notification *notification, const NotificationFla
 											kMarsPodDepartedUpperPlatformOut);
 				GameState.setMarsHeardUpperPodMessage(true);
 			}
+			if (g_airMask && g_airMask->getAirLeft() > 0 && g_arthurChip)
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA74", kArthurMarsRobotThrownPlayerWithMask);
 			break;
 		case kMarsInfoKioskIntro:
 			GameState.setScoringSawMarsKiosk();
@@ -2144,12 +2753,15 @@ void Mars::receiveNotification(Notification *notification, const NotificationFla
 			}
 			break;
 		case kMarsTurnOnPod:
-			item = (InventoryItem *)_vm->getAllItems().findItemByID(kMarsCard);
-			_vm->addItemToInventory(item);
-			GameState.setScoringTurnedOnTransport();
-			loadLoopSound1("");
-			loadLoopSound2("");
-			startExtraSequence(kMarsTakePodToMars45, kExtraCompletedFlag, kFilterNoInput);
+			if (!_vm->isDVD()) {
+				item = (InventoryItem *)_vm->getAllItems().findItemByID(kMarsCard);
+				_vm->addItemToInventory(item);
+				GameState.setScoringTurnedOnTransport();
+				loadLoopSound1("");
+				loadLoopSound2("");
+			}
+			if (!_vm->isDVD() || GameState.getWalkthroughMode())
+				startExtraSequence(kMarsTakePodToMars45, kExtraCompletedFlag, kFilterNoInput);
 			break;
 		case kMarsTakePodToMars45:
 			arriveAt(kMars45, kSouth);
@@ -2172,6 +2784,12 @@ void Mars::receiveNotification(Notification *notification, const NotificationFla
 			checkAirMask();
 			loadAmbientLoops();
 			break;
+		case kMarsRobotBobSlow:
+		case kMarsRobotGenoSlow:
+			_extraMovie.stopDisplaying();
+			_extraMovie.releaseMovie();
+			_navMovie.startDisplaying();
+			// Fall through...
 		case kMars48RobotApproaches:
 			loadLoopSound2("Sounds/Mars/Robot Loop.aiff", 0x100, 0, 0);
 			GameState.setMarsSeenRobotAtReactor(true);
@@ -2199,6 +2817,12 @@ void Mars::receiveNotification(Notification *notification, const NotificationFla
 			setCurrentActivation(kActivateMaskOnFiller);
 			setCurrentAlternate(kAltMarsMaskOnFiller);
 			GameState.setMarsMaskOnFiller(true);
+			if (g_arthurChip) {
+				if (_vm->getRandomBit())
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA13", kArthurMarsCantFillMask);
+				else
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA80", kArthurMarsCantFillMask);
+			}
 			break;
 		case kMars58SpinLeft:
 		case kMars54SpinRight:
@@ -2247,6 +2871,14 @@ void Mars::receiveNotification(Notification *notification, const NotificationFla
 			setCurrentActivation(kActivateReactorAskLowerScreen);
 			break;
 		case kMars57LowerScreenClosed:
+			item = (InventoryItem *)_vm->getAllItems().findItemByID(kNitrogenCanister);
+			if (g_arthurChip) {
+				if (item->getItemState() == kNitrogenFull)
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA12", kArthurMarsSawLockedPanel);
+				else
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA39", kArthurMarsSawLockedPanelNoNitrogen);
+			}
+			// Fall through...
 		case kMars57ThawLock:
 			setCurrentActivation(kActivateReactorReadyForNitrogen);
 			GameState.setMarsLockFrozen(false);
@@ -2283,6 +2915,12 @@ void Mars::receiveNotification(Notification *notification, const NotificationFla
 		case kMars57RunDiagnostics:
 			setCurrentActivation(kActivateReactorRanDiagnostics);
 			GameState.setScoringFoundCardBomb();
+			if (g_arthurChip) {
+				if (_vm->getRandomBit())
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA73", kArthurMarsFoundCardBomb);
+				else
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBB34", kArthurMarsFoundCardBomb);
+			}
 			break;
 		case kMars57BombExplodes:
 		case kMars57BombExplodesInGame:
@@ -2310,11 +2948,16 @@ void Mars::receiveNotification(Notification *notification, const NotificationFla
 		case kMars57ExposeBomb:
 			setCurrentActivation(kActivateReactorBombExposed);
 			_privateFlags.setFlag(kMarsPrivateBombExposedFlag, true);
+			if (g_arthurChip)
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA75", kArthurMarsDeactivatedCardBomb);
 			break;
 		case kMars57BackToNormal:
 			setCurrentActivation(kActivateReactorPlatformIn);
 			_privateFlags.setFlag(kMarsPrivateBombExposedFlag, false);
-			g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Mars/XM51SW", false, kWarningInterruption);
+			if (g_AIArea->isChattyAI())
+				g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Mars/XM51SW", false, kWarningInterruption);
+			if (g_arthurChip)
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA02", kArthurMarsSolvedReactorGame);
 			break;
 		case kMars60WestSpinAirlockToEast:
 			GameState.setMarsAirlockOpen(true);
@@ -2336,6 +2979,19 @@ void Mars::receiveNotification(Notification *notification, const NotificationFla
 			break;
 		case kMarsRobotHeadOpen:
 			setCurrentActivation(kActivationRobotHeadOpen);
+			if (g_arthurChip) {
+				switch (_vm->getRandomNumber(2)) {
+				case 0:
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA36", kArthurMarsRobotHeadOpen);
+					break;
+				case 1:
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA37", kArthurMarsRobotHeadOpen);
+					break;
+				case 2:
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA40", kArthurMarsRobotHeadOpen);
+					break;
+				}
+			}
 			break;
 		case kMarsRobotHeadClose:
 			recallToTSASuccess();
@@ -2364,12 +3020,12 @@ void Mars::receiveNotification(Notification *notification, const NotificationFla
 			_rightDamageShuttleMovie.hide();
 			playMovieSegment(&_rightShuttleMovie, kShuttleRightDestroyedStart, kShuttleRightDestroyedStop);
 			playSpotSoundSync(kShuttleDestroyedIn, kShuttleDestroyedOut);
-			throwAwayMarsShuttle();
+			transportOutFromSpaceChase(true);
 			reinstateMonocleInterface();
 			recallToTSASuccess();
 		}
 	} else if ((flag & kTimeToTransportFlag) != 0) {
-		transportToRobotShip();
+		transportOutFromSpaceChase(false);
 	}
 
 	if (g_AIArea)
@@ -2379,11 +3035,42 @@ void Mars::receiveNotification(Notification *notification, const NotificationFla
 void Mars::spotCompleted() {
 	Neighborhood::spotCompleted();
 
-	if (GameState.getCurrentRoom() == kMarsRobotShuttle)
-		g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Mars/XN59WD", false, kWarningInterruption);
+	switch (GameState.getCurrentRoomAndView()) {
+	case MakeRoomView(kMars27, kNorth):
+	case MakeRoomView(kMars28, kNorth):
+		if (g_arthurChip) {
+			switch (_vm->getRandomNumber(2)) {
+			case 0:
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA09", kArthurMarsLookedAtGuards);
+				break;
+			case 1:
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA81", kArthurMarsLookedAtGuards);
+				break;
+			case 2:
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBB32", kArthurMarsLookedAtGuards);
+				break;
+			}
+		}
+		break;
+	case MakeRoomView(kMarsRobotShuttle, kEast):
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA79", kArthurMarsFoundDeadRobot);
+		if (g_AIArea->isChattyAI())
+			g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Mars/XN59WD", false, kWarningInterruption);
+		break;
+	}
+}
+
+void Mars::startUpFromFinishedTunnelPod() {
+	arriveAt(kMars45, kSouth);
+	if (g_AIArea != NULL)
+		g_AIArea->checkMiddleArea();
 }
 
 void Mars::doCanyonChase() {
+	Input input;
+	FaderMoveSpec spec;
+
 	GameState.setScoringEnteredShuttle();
 	setNextHandler(_vm);
 	throwAwayInterface();
@@ -2394,9 +3081,24 @@ void Mars::doCanyonChase() {
 	_spotSounds.initFromQuickTime(getSoundSpotsName());
 	_spotSounds.setVolume(_vm->getSoundFXLevel());
 
-	Video::VideoDecoder *video = new Video::QuickTimeDecoder();
-	if (!video->loadFile("Images/Mars/M44ESA.movie"))
-		error("Could not load interface->shuttle transition video");
+	Video::VideoDecoder *video = 0;
+
+#ifdef USE_THEORADEC
+	if (_vm->isDVD()) {
+		video = new Video::TheoraDecoder();
+
+		if (!video->loadFile("Images/Mars/M44ESA_hq.ogg")) {
+			delete video;
+			video = 0;
+		}
+	}
+#endif
+
+	if (!video) {
+		video = new Video::QuickTimeDecoder();
+		if (!video->loadFile("Images/Mars/M44ESA.movie"))
+			error("Could not load interface->shuttle transition video");
+	}
 
 	video->start();
 
@@ -2429,11 +3131,18 @@ void Mars::doCanyonChase() {
 	initOnePicture(&_shuttleInterface4, "Images/Mars/MCmain4.pict", kShuttleBackgroundOrder, kShuttle4Left,
 							kShuttle4Top, true);
 
-	initOneMovie(&_canyonChaseMovie, "Images/Mars/Canyon.movie",
+	if (_vm->isDVD())
+		initOneMovie(&_canyonChaseMovie, "Images/Mars/Canyon_hq1.mov",
+						kShuttleMonitorOrder, kShuttleWindowLeft, kShuttleWindowTop, true);
+	else
+		initOneMovie(&_canyonChaseMovie, "Images/Mars/Canyon.movie",
 						kShuttleMonitorOrder, kShuttleWindowLeft, kShuttleWindowTop, true);
 	_canyonChaseMovie.setVolume(_vm->getSoundFXLevel());
 
-	loadLoopSound1("Sounds/Mars/Inside Cockpit.22K.8.AIFF");
+	if (_vm->isDVD())
+		loadLoopSound1("Sounds/Mars/Inside Cockpit.44K.16.AIFF");
+	else
+		loadLoopSound1("Sounds/Mars/Inside Cockpit.22K.8.AIFF");
 
 	// Swing shuttle around...
 	playMovieSegment(&_canyonChaseMovie, kShuttleSwingStart, kShuttleSwingStop);
@@ -2465,6 +3174,12 @@ void Mars::doCanyonChase() {
 	initOneMovie(&_rightDamageShuttleMovie, "Images/Mars/Right Damage Shuttle.movie",
 			kShuttleStatusOrder, kShuttleRightEnergyLeft, kShuttleRightEnergyTop, false);
 
+	if (_vm->isDVD()) {
+		_musicLoop.attachFader(&_musicFader);
+		_musicLoop.initFromAIFFFile("Sounds/Mars/Canyon Loop.44K.16.AIFF");
+		_musicFader.setMasterVolume(_vm->getSoundFXLevel());
+	}
+
 	_centerShuttleMovie.show();
 	_centerShuttleMovie.setTime(kShuttleCenterBoardingTime);
 	playSpotSoundSync(kShuttleCockpitIn, kShuttleCockpitOut);
@@ -2538,10 +3253,38 @@ void Mars::doCanyonChase() {
 
 	loadLoopSound1("");
 
-	_canyonChaseMovie.setSegment(kCanyonChaseStart, kCanyonChaseStop);
-	_canyonChaseMovie.start();
+	if (_vm->isDVD()) {
+		InputDevice.getInput(input, kFilterAllInput);
+		if (JMPPPInput::isEasterEggModifierInput(input)) {
+			initOneMovie(&_canyonChaseMovie, "Images/Mars/Canyon_hqG.mov",
+							kShuttleMonitorOrder, kShuttleWindowLeft, kShuttleWindowTop, true);
+			_canyonChaseMovie.setVolume(_vm->getSoundFXLevel());
+			_canyonChaseMovie.start();
+
+			startMarsTimer(_canyonChaseMovie.getDuration() - 5 * kMovieTicksPerSecond,
+							kMovieTicksPerSecond, kMarsLaunchTubeReached);
+		} else if (GameState.getWalkthroughMode()) {
+			_canyonChaseMovie.setSegment(kCanyonChaseStart, kCanyonChaseDVDStop);
+			_canyonChaseMovie.start();
+
+			_musicLoop.loopSound();
+			spec.makeTwoKnotFaderSpec(10, 0, 0, 1, 255);
+			_musicFader.startFader(spec);
+
+			startMarsTimer(kCanyonChaseExitedTime, kMovieTicksPerSecond, kMarsCanyonChaseExited);
+		} else {
+			_canyonChaseMovie.stop();
+			_canyonChaseMovie.stopDisplaying();
+			_canyonChaseMovie.releaseMovie();
+
+			newInteraction(kMarsCanyonChaseInteractionID);
+		}
+	} else {
+		_canyonChaseMovie.setSegment(kCanyonChaseStart, kCanyonChaseCDStop);
+		_canyonChaseMovie.start();
 
-	startMarsTimer(kLaunchTubeReachedTime, kMovieTicksPerSecond, kMarsLaunchTubeReached);
+		startMarsTimer(kLaunchTubeCDReachedTime, kMovieTicksPerSecond, kMarsLaunchTubeReached);
+	}
 }
 
 void Mars::startUpFromFinishedSpaceChase() {
@@ -2601,7 +3344,7 @@ void Mars::startUpFromFinishedSpaceChase() {
 
 	_lowerLeftShuttleMovie.show();
 
-	loadLoopSound1("Sounds/Mars/Space Ambient.22K.8.AIFF");
+	playSpaceAmbient();
 
 	initOneMovie(&_junk, "Images/Mars/Junk.movie", kShuttleJunkOrder, kShuttleJunkLeft,
 			kShuttleJunkTop, false);
@@ -2710,7 +3453,7 @@ void Mars::startUpFromSpaceChase() {
 
 	_lowerLeftShuttleMovie.show();
 
-	loadLoopSound1("Sounds/Mars/Space Ambient.22K.8.AIFF");
+	playSpaceAmbient();
 
 	initOneMovie(&_planetMovie, "Images/Mars/Planet.movie", kShuttlePlanetOrder,
 			kPlanetStartLeft, kPlanetStartTop, true);
@@ -2781,10 +3524,31 @@ void Mars::startUpFromSpaceChase() {
 }
 
 void Mars::setSoundFXLevel(const uint16 level) {
+	CanyonChase *chase;
+
 	Neighborhood::setSoundFXLevel(level);
 
-	if (_canyonChaseMovie.isMovieValid())
-		_canyonChaseMovie.setVolume(level);
+	if (_vm->isDVD()) {
+		if (GameState.getCurrentRoomAndView() == MakeRoomView(kMars44, kWest) &&
+			_currentInteraction != NULL) {
+			chase = (CanyonChase *)_currentInteraction;
+			if (chase->_canyonMovie1.isMovieValid())
+				chase->_canyonMovie1.setVolume(level);
+			if (chase->_canyonMovie2.isMovieValid())
+				chase->_canyonMovie2.setVolume(level);
+			if (chase->_deathMovie.isMovieValid())
+				chase->_deathMovie.setVolume(level);
+			if (chase->_genoMovie.isMovieValid())
+				chase->_genoMovie.setVolume(level);
+			if (chase->_musicLoop.isSoundLoaded())
+				chase->_musicFader.setMasterVolume(level);
+		}
+		if (_musicLoop.isSoundLoaded())
+			_musicFader.setMasterVolume(level);
+	} else {
+		if (_canyonChaseMovie.isMovieValid())
+			_canyonChaseMovie.setVolume(level);
+	}
 
 	if (_explosions.isMovieValid())
 		_explosions.setVolume(level);
@@ -2799,36 +3563,71 @@ void Mars::startMarsTimer(TimeValue time, TimeScale scale, MarsTimerCode code) {
 }
 
 void Mars::marsTimerExpired(MarsTimerEvent &event) {
+	InventoryItem *item;
+	FaderMoveSpec spec;
 	Common::Rect r;
 	uint16 x, y;
 
 	switch (event.event) {
+	case kMarsPodCautionDisplayed:
+		item = (InventoryItem *)_vm->getAllItems().findItemByID(kMarsCard);
+		_vm->addItemToInventory(item);
+		startMarsTimer(kPodCautionDismissedTime, kMovieTicksPerSecond, kMarsPodCautionDismissed);
+		return;
+	case kMarsPodCautionDismissed:
+		_podSteerMovie.hide();
+		_podSteerMovie.stopDisplaying();
+		_podSteerMovie.releaseMovie();
+		_interruptionFilter = kFilterAllInput;
+		GameState.setScoringTurnedOnTransport();
+		loadLoopSound1("");
+		loadLoopSound2("");
+		if (!GameState.getWalkthroughMode())
+			newInteraction(kMarsTunnelPodInteractionID);
+		return;
+	// Bail out early for pod events so input is not filtered
+	case kMarsCanyonChaseExited:
+		spec.makeTwoKnotFaderSpec(20, 0, 255, 5, 160);
+		_musicFader.startFader(spec);
+		startMarsTimer(kCanyonChaseFadedTime, kMovieTicksPerSecond, kMarsCanyonChaseFaded);
+		break;
+	case kMarsCanyonChaseFaded:
+		spec.makeTwoKnotFaderSpec(10, 0, 160, 30, 0);
+		_musicFader.startFader(spec);
+		startMarsTimer(kLaunchTubeDVDReachedTime, kMovieTicksPerSecond, kMarsLaunchTubeReached);
+		break;
 	case kMarsLaunchTubeReached:
 		_lowerLeftShuttleMovie.setTime(kShuttleLowerLeftTubeTime);
 		_lowerLeftShuttleMovie.redrawMovieWorld();
-		startMarsTimer(kCanyonChaseFinishedTime, kMovieTicksPerSecond, kMarsCanyonChaseFinished);
+		startMarsTimer(kCanyonChaseCDFinishedTime, kMovieTicksPerSecond, kMarsCanyonChaseFinished);
 		break;
 	case kMarsCanyonChaseFinished:
 		GameState.setScoringEnteredLaunchTube();
 
-		while (_canyonChaseMovie.isRunning()) {
-			_vm->checkCallBacks();
-			_vm->refreshDisplay();
-			_vm->_system->delayMillis(10);
-		}
+		if (_canyonChaseMovie.isMovieValid()) {
+			while (_canyonChaseMovie.isRunning()) {
+				_vm->checkCallBacks();
+				_vm->refreshDisplay();
+				_vm->_system->delayMillis(10);
+			}
 
-		_canyonChaseMovie.stop();
-		_canyonChaseMovie.stopDisplaying();
-		_canyonChaseMovie.releaseMovie();
+			_canyonChaseMovie.stop();
+			_canyonChaseMovie.stopDisplaying();
+			_canyonChaseMovie.releaseMovie();
+		}
 
 		_vm->_gfx->enableErase();
 
-		loadLoopSound1("Sounds/Mars/Space Ambient.22K.8.AIFF");
+		playSpaceAmbient();
 
-		playSpotSoundSync(kShuttleConfiguringIn, kShuttleConfiguringOut);
-		playSpotSoundSync(kShuttleGeneratingIn, kShuttleGeneratingOut);
-		playSpotSoundSync(kShuttleBreakawayIn, kShuttleBreakawayOut);
-		playSpotSoundSync(kMarsAtmosphericBreakawayIn, kMarsAtmosphericBreakawayOut);
+		if (!_vm->isDVD()) {
+			// Don't play a couple sounds in the DVD version; they were put into
+			// the canyon video.
+			playSpotSoundSync(kShuttleConfiguringIn, kShuttleConfiguringOut);
+			playSpotSoundSync(kShuttleGeneratingIn, kShuttleGeneratingOut);
+			playSpotSoundSync(kShuttleBreakawayIn, kShuttleBreakawayOut);
+			playSpotSoundSync(kMarsAtmosphericBreakawayIn, kMarsAtmosphericBreakawayOut);
+		}
 
 		initOneMovie(&_planetMovie, "Images/Mars/Planet.movie", kShuttlePlanetOrder, kPlanetStartLeft, kPlanetStartTop, true);
 		_planetMovie.setFlags(kLoopTimeBase);
@@ -3013,13 +3812,44 @@ void Mars::throwAwayMarsShuttle() {
 	loadLoopSound1("");
 }
 
-void Mars::transportToRobotShip() {
+void Mars::playSpaceAmbient() {
+	if (_vm->isDVD())
+		loadLoopSound1("Sounds/Mars/Space Ambient.44K.16.AIFF");
+	else
+		loadLoopSound1("Sounds/Mars/Space Ambient.22K.8.AIFF");
+}
+
+void Mars::transportOutFromSpaceChase(bool destroyedShip) {
 	throwAwayMarsShuttle();
 
-	Video::VideoDecoder *video = new Video::QuickTimeDecoder();
-	if (!video->loadFile("Images/Mars/M98EAE.movie"))
-		error("Could not load shuttle->interface transition video");
+	Video::VideoDecoder *video = 0;
+
+#ifdef USE_THEORADEC
+	if (_vm->isDVD()) {
+		video = new Video::TheoraDecoder();
+
+		if (destroyedShip) {
+			if (!video->loadFile("Images/Mars/M98EAP_hq.ogg")) {
+				delete video;
+				video = 0;
+			}
+		} else if (!video->loadFile("Images/Mars/M98EAE_hq.ogg")) {
+			delete video;
+			video = 0;
+		}
+	}
+#endif
+
+	if (!video) {
+		video = new Video::QuickTimeDecoder();
+		if (destroyedShip && _vm->isDVD()) {
+			if (!video->loadFile("Images/Mars/M98EAP.movie"))
+				error("Could not load shuttle->TSA transition video");
+		} else if (!video->loadFile("Images/Mars/M98EAE.movie"))
+			error("Could not load shuttle->interface transition video");
+	}
 
+	video->setVolume(MIN<uint>(_vm->getSoundFXLevel(), 0xFF));
 	video->start();
 
 	while (!_vm->shouldQuit() && !video->endOfVideo()) {
@@ -3042,18 +3872,20 @@ void Mars::transportToRobotShip() {
 	if (_vm->shouldQuit())
 		return;
 
-	reinstateMonocleInterface();
+	if (!destroyedShip) {
+		reinstateMonocleInterface();
 
-	g_energyMonitor->stopEnergyDraining();
-	g_energyMonitor->restoreLastEnergyValue();
-	_vm->resetEnergyDeathReason();
-	g_energyMonitor->startEnergyDraining();
+		g_energyMonitor->stopEnergyDraining();
+		g_energyMonitor->restoreLastEnergyValue();
+		_vm->resetEnergyDeathReason();
+		g_energyMonitor->startEnergyDraining();
 
-	arriveAt(kMarsRobotShuttle, kEast);
+		arriveAt(kMarsRobotShuttle, kEast);
 
-	_navMovie.stop();
-	_navMovie.setTime(_navMovie.getStart());
-	_navMovie.start();
+		_navMovie.stop();
+		_navMovie.setTime(_navMovie.getStart());
+		_navMovie.start();
+	}
 }
 
 const int kRobotTooStrong = 1;
diff --git a/engines/pegasus/neighborhood/mars/mars.h b/engines/pegasus/neighborhood/mars/mars.h
index 0859522..09b4faf 100644
--- a/engines/pegasus/neighborhood/mars/mars.h
+++ b/engines/pegasus/neighborhood/mars/mars.h
@@ -40,10 +40,16 @@
 
 namespace Pegasus {
 
+class CanyonChase;
 class InventoryItem;
 class Mars;
+class TunnelPod;
 
 enum MarsTimerCode {
+	kMarsPodCautionDisplayed,
+	kMarsPodCautionDismissed,
+	kMarsCanyonChaseExited,
+	kMarsCanyonChaseFaded,
 	kMarsLaunchTubeReached,
 	kMarsCanyonChaseFinished,
 	kMarsSpaceChaseFinished // Player ran out of time...
@@ -64,11 +70,15 @@ enum ShuttleWeaponSelection {
 };
 
 class Mars : public Neighborhood {
+friend class CanyonChase;
+friend class TunnelPod;
 friend struct MarsTimerEvent;
 public:
 	Mars(InputHandler *, PegasusEngine *);
 	virtual ~Mars();
 
+	virtual GameInteraction *makeInteraction(const InteractionID);
+
 	void flushGameState();
 
 	virtual uint16 getDateResID() const;
@@ -133,12 +143,16 @@ protected:
 	CanOpenDoorReason canOpenDoor(DoorTable::Entry &);
 	void openDoor();
 	void closeDoorOffScreen(const RoomID, const DirectionConstant);
+	void startDoorOpenMovie(const TimeValue, const TimeValue);
+	void startExitMovie(const ExitTable::Entry &);
 	int16 getStaticCompassAngle(const RoomID, const DirectionConstant);
 	void getExitCompassMove(const ExitTable::Entry &, FaderMoveSpec &);
 	void getExtraCompassMove(const ExtraTable::Entry &, FaderMoveSpec &);
 	void turnTo(const DirectionConstant);
+	void startExtraSequence(const ExtraID, const NotificationFlags, const InputBits);
 	void receiveNotification(Notification *, const NotificationFlags);
 	void doorOpened();
+	void startUpFromFinishedTunnelPod();
 	void setUpReactorEnergyDrain();
 	Hotspot *getItemScreenSpot(Item *, DisplayElement *);
 	void lockThawed();
@@ -170,6 +184,7 @@ protected:
 	void launchMaze136Robot();
 	void launchMaze184Robot();
 	void timerExpired(const uint32);
+	void showRobotAtReactor();
 	void spotCompleted();
 
 	void doCanyonChase(void);
@@ -178,13 +193,18 @@ protected:
 	void throwAwayMarsShuttle();
 	void startUpFromFinishedSpaceChase();
 	void startUpFromSpaceChase();
-	void transportToRobotShip();
+	void transportOutFromSpaceChase(bool);
 	void spaceChaseClick(const Input &, const HotSpotID);
 	void updateCursor(const Common::Point, const Hotspot *);
+	void playSpaceAmbient();
 
 	Common::String getSoundSpotsName();
 	Common::String getNavMovieName();
 
+	Movie _extraMovie;
+	NotificationCallBack _extraMovieCallBack;
+
+	Movie _podSteerMovie;
 	InventoryItem *_attackingItem;
 	FuseFunction _bombFuse;
 	FuseFunction _noAirFuse;
@@ -202,6 +222,8 @@ protected:
 	Picture _shuttleInterface3;
 	Picture _shuttleInterface4;
 	Movie _canyonChaseMovie;
+	Sound _musicLoop;
+	SoundFader _musicFader;
 
 	MarsTimerEvent _marsEvent;
 
